%define	module		DateTime-TimeZone
%define	modprefix	DateTime

%define	name		perl-%{module}

%define	version		0.79
%define	release		%mkrel 1

# circular dependency
%define _requires_exceptions perl(DateTime)\\|perl(DateTime::Duration)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
Summary:	Time zone object base class and factory
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://www.cpan.org/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Class::Singleton) >= 1.03
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Params::Validate) >= 0.72
BuildRequires:	perl(Pod::Man) >= 1.14
Provides:	perl(DateTime::TimeZoneCatalog)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This perl module defines the base class for all time zone objects. A time zone
is represented internally as a set of observances, each of which describes the
offset from GMT for a given time period.

Note that without the DateTime.pm module, this module does not do much. Its
primary interface is through a DateTime object, and most users will not need to
directly use DateTime::TimeZone methods.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor destdir=%{buildroot}
./Build

%check
./Build test

%install
rm -rf %{buildroot}
chmod 644 Changes README
./Build install

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/%{modprefix}
%{_mandir}/*/*




%changelog
* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.79-1mdv2009.0
+ Revision: 270348
- update to new version 0.79

* Wed Jul 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.78-1mdv2009.0
+ Revision: 236265
- update to new version 0.78

* Wed May 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.77-1mdv2009.0
+ Revision: 212202
- update to new version 0.77

* Tue May 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.76-1mdv2009.0
+ Revision: 209323
- update to new version 0.76

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.75-1mdv2009.0
+ Revision: 202307
- new version
- update to new version 0.75

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.74-1mdv2009.0
+ Revision: 194844
- update to new version 0.74
- update to new version 0.74
- update to new version 0.73
- update to new version 0.73

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.72-1mdv2008.1
+ Revision: 152830
- update to new version 0.72

* Sat Dec 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.71-1mdv2008.1
+ Revision: 139190
- update to new version 0.71

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.70-1mdv2008.1
+ Revision: 114706
- update to new version 0.70

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.69-1mdv2008.1
+ Revision: 105304
- update to new version 0.69

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.68-1mdv2008.1
+ Revision: 97439
- update to new version 0.68

* Wed Aug 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.67-1mdv2008.0
+ Revision: 69218
- update to new version 0.67

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:0.59-3mdv2008.0
+ Revision: 67782
- rebuild


* Tue Jan 30 2007 Scott Karns <scottk@mandriva.org> 0.59-2mdv2007.0
+ Revision: 115490
- Added _requires_exceptions to handle perl(DateTime) circular dependency

* Sun Jan 28 2007 Scott Karns <scottk@mandriva.org> 1:0.59-1mdv2007.1
+ Revision: 114575
- Updated to CPAN release 0.59

* Sat Aug 26 2006 Scott Karns <scottk@mandriva.org> 1:0.47-1mdv2007.0
+ Revision: 58078
- Version 0.47
- Import perl-DateTime-TimeZone

* Wed May 10 2006 Scott Karns <scottk@mandriva.org> 1:0.46-1mdk
- 0.46

* Sat May 06 2006 Scott Karns <scottk@mandriva.org> 1:0.45-2mdk
- Updated BuildRequires

* Wed May 03 2006 Scott Karns <scottk@mandriva.org> 1:0.45-1mdk
- 0.45

* Thu Apr 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.44-2mdk
- Use perl Policy

* Thu Apr 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.44-1mdk
- New release 0.44

* Mon Feb 27 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:0.42-1mdk
- 0.42

* Wed Feb 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:0.41-1mdk
- 0.41

* Thu Dec 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:0.40-1mdk
- 0.40

* Mon Dec 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:0.39-1mdk
- 0.39. Need to increase epoch.

* Fri Nov 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.3801-1mdk
- 0.3801 (fixes generated deps)

* Tue Nov 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.38-1mdk
- 0.38

* Tue Oct 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.37-2mdk
- Fix BuildRequires
- Fix Source url
- %%mkrel

* Wed Aug 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.37-1mdk
- 0.37

* Sat Apr 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.36-1mdk
- 0.36

* Wed Mar 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.33-1mdk
- 0.33

* Tue Jan 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.32-1mdk
- 0.32

* Fri Dec 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.31-1mdk
- 0.31

* Fri Oct 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.30-1mdk
- 0.30 (new database of timezones)

* Tue Aug 31 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.28-2mdk
- Add manually needed provides.

* Fri Aug 27 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.28-1mdk
- Initial MDK release.

